nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::analytics::IObjectTrackTitlePacket Class Referenceabstract

`#include <i_object_track_title_packet.h>`

Inheritance diagram for nx::sdk::analytics::IObjectTrackTitlePacket:

## Public Member Functions
virtual int64_t | timestampUs () const override=0
Uuid | trackId () const
Rect | boundingBox () const
virtual const char * | text () const =0
virtual const char * | imageUrl () const =0
virtual const char * | imageData () const =0
virtual int | imageDataSize () const =0
virtual const char * | imageDataFormat () const =0
virtual Flags | flags () const =0
Public Member Functions inherited from nx::sdk::Interface< IObjectTrackTitlePacket, IMetadataPacket0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const

## Static Public Member Functions
static auto | interfaceId ()

## Protected Member Functions
virtual void | getTrackId (Uuid *outValue) const =0
virtual void | getBoundingBox (Rect *outValue) const =0
Protected Member Functions inherited from nx::sdk::Interface< IObjectTrackTitlePacket, IMetadataPacket0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Detailed Description

Packet containing information about the optional Title of an Object Track.

## Member Function Documentation

## ◆ boundingBox()

Rect nx::sdk::analytics::IObjectTrackTitlePacket::boundingBox | ( |  | ) | const
| inline

Returns
  Bounding box of the Object Title, or an invalid rectangle (e.g. a default-constructed) if the Object Title bounding box is unknown.

## ◆ getBoundingBox()

virtual void nx::sdk::analytics::IObjectTrackTitlePacket::getBoundingBox | ( | Rect * | outValue | ) | const
| protectedpure virtual

Called by boundingBox()

## ◆ getTrackId()

virtual void nx::sdk::analytics::IObjectTrackTitlePacket::getTrackId | ( | Uuid * | outValue | ) | const
| protectedpure virtual

Called by trackId()

## ◆ imageData()

virtual const char* nx::sdk::analytics::IObjectTrackTitlePacket::imageData | ( |  | ) | const
| pure virtual

Returns
  Pointer to the Track Title image data. Must return null if an image URL is provided.

## ◆ imageDataFormat()

virtual const char* nx::sdk::analytics::IObjectTrackTitlePacket::imageDataFormat | ( |  | ) | const
| pure virtual

Returns
  Format of the Title image which is provided via imageData(). Can contain one of the following values: "image/jpeg", "image/png", "image/tiff" for JPEG, PNG and TIFF images correspondingly. If no image data is provided, must return null.

## ◆ imageDataSize()

virtual int nx::sdk::analytics::IObjectTrackTitlePacket::imageDataSize | ( |  | ) | const
| pure virtual

Returns
  Size of the image data array in bytes.

## ◆ imageUrl()

virtual const char* nx::sdk::analytics::IObjectTrackTitlePacket::imageUrl | ( |  | ) | const
| pure virtual

Returns
  HTTP or HTTPS URL of the image that should be used as the Track Title. Only JPEG, PNG and TIFF images are supported.

## ◆ text()

virtual const char* nx::sdk::analytics::IObjectTrackTitlePacket::text | ( |  | ) | const
| pure virtual

Returns
  Title text. Can be empty, but not null.

## ◆ timestampUs()

virtual int64_t nx::sdk::analytics::IObjectTrackTitlePacket::timestampUs | ( |  | ) | const
| overridepure virtual

Returns
  Timestamp of the frame (in microseconds) the Title Image and Text are associated with, or some timestamp close as much as possible to this moment, or -1 if no such information is available.

## ◆ trackId()

Uuid nx::sdk::analytics::IObjectTrackTitlePacket::trackId | ( |  | ) | const
| inline

Returns
  Id of the Object Track the Title belongs to.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_object_track_title_packet.h